Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-SU-2017:2550-1: moderate: Security update for libzip
openSUSE Security Update: Security update for libzip
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2550-1
Rating: moderate
References: #1056996
Cross-References: CVE-2017-14107
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libzip fixes the following security issue:

- CVE-2017-14107: The _zip_read_eocd64 function mishandled EOCD records,
which allowed remote attackers to cause a denial of service (memory
allocation failure in _zip_cdir_grow in zip_dirent.c) via a crafted ZIP
archive (bsc#1056996).

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1084=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1084=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libzip-0.11.1-9.1
libzip-debuginfo-0.11.1-9.1
libzip-debugsource-0.11.1-9.1
libzip-devel-0.11.1-9.1
libzip2-0.11.1-9.1
libzip2-debuginfo-0.11.1-9.1

- openSUSE Leap 42.3 (x86_64):

libzip2-32bit-0.11.1-9.1
libzip2-debuginfo-32bit-0.11.1-9.1

- openSUSE Leap 42.2 (i586 x86_64):

libzip-0.11.1-6.3.1
libzip-debuginfo-0.11.1-6.3.1
libzip-debugsource-0.11.1-6.3.1
libzip-devel-0.11.1-6.3.1
libzip2-0.11.1-6.3.1
libzip2-debuginfo-0.11.1-6.3.1

- openSUSE Leap 42.2 (x86_64):

libzip2-32bit-0.11.1-6.3.1
libzip2-debuginfo-32bit-0.11.1-6.3.1


References:

https://www.suse.com/security/cve/CVE-2017-14107.html
https://bugzilla.suse.com/1056996


< Previous Next >
This Thread
  • No further messages